﻿//
// Created by HW on 2023/07/26.
//

// You may need to build the project (run Qt uic code generator) to get "ui_MainWindow.h" resolved

#include "mainwindow.h"
#include "ui_MainWindow.h"
#include "netio.h"
#include "config.h"
ExitManager exit_manager;
MainWindow::MainWindow(QWidget *parent) :
        QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);
	agree = false;
	QDesktopWidget* desktopWidget = QApplication::desktop();
    QRect deskRect = desktopWidget->availableGeometry();
	resize(deskRect.width()*0.8, deskRect.height()*0.8);
	setWindowState(Qt::WindowMaximized);
    mainWindowLayout=new MainWindowLayout(this);
    setCentralWidget(mainWindowLayout);
	setWindowTitle(QString::fromLocal8Bit(TITLE));
	QString path = QApplication::applicationDirPath();
	path += LOGO_TITLEBAR;
	icon = new QIcon(path);
	setWindowIcon(*icon);
	setStyleSheet("*{font-family:SimHei;}");
	
}

MainWindow::~MainWindow() {
	SQLiteHelper sqlite_helper;
	sqlite_helper.db.close();
	QSqlDatabase::removeDatabase("mydb");
	delete icon;
	this->setCentralWidget(nullptr);
    delete mainWindowLayout;
    delete ui;
}
